# ntpwait - wait until ntpd is in synchronized state

## 1. Manual Pages

### 1.1. Manual Pages

- `ntp.conf(5)` - ntpd Configuration File

- `ntp.keys(5)` - NTP symmetric key file format

- `ntpd(8)` - Network Time Protocol (NTP) daemon

- `ntpdig(1)` - Simple Network Time Protocol (SNTP) client

- `ntpfrob(8)` - frob the local clock hardware

- `ntpkeygen(8)` - generate public and private keys

- `ntpleapfetch(8)` fetch and manage leap-offset file

- `ntploggps(1)` - log gpsd data for use by ntpviz

- `ntplogtemp(1)` - log system temperature data for use by ntpviz

- `ntpmon(1)` - real-time NTP status monitor

- `ntpq(1)` - standard NTP query program

- `ntpsnmp(1)` - an AgentX Simple Network Management Protocol sub-agent [`experimental`]

- `ntpsweep(1)` - print information about given NTP servers

- `ntptime(8)` - read and set kernel time variables

- `ntptrace(1)` - trace a chain of NTP servers back to the primary source

- `ntpviz(1)` - make offset, jitter, and other plots from logfiles

- `ntpwait(8)` - wait until ntpd is in synchronized state

## 2. Table of Contents

- SYNOPSIS

- DESCRIPTION

- OPTIONS

- BUGS

## 3. SYNOPSIS

`ntpwait` [`-vV`] [`-n` number] [`-s` secs]

## 4. DESCRIPTION

The `ntpwait` program blocks until ntpd is in synchronized state. This can be useful at boot time, to delay the boot sequence until after "ntpd -g" has set the time.

`ntpwait` will send at most number queries to ntpd(8), sleeping for secs seconds after each status return that says ntpd(8) has not yet produced a synchronized and stable system clock.

`ntpwait` will do this quietly, unless the `-v` flag is provided.

## 5. OPTIONS

`-n` number, `--tries`=number

  Number of times to check ntpd. This option takes an integer number as its argument. The default number for this option is: 100.

  The maximum number of times we will check ntpd to see if it has been able to synchronize and stabilize the system clock.

`-s` secs-between-tries, `--sleep`=secs-between-tries

  How long to sleep between tries. This option takes an integer number as its argument. The default secs-between-tries for this option is: 6.

  We will sleep for secs-between-tries after each query of ntpd that returns "the time is not yet stable".

`-v`, `--verbose`

  Be verbose.

  By default, `ntpwait` is silent. With this option, `ntpwait` will provide status information, including time to synchronization in seconds.

`-V`, `--version`

  Print the version string and exit.

Home Page | Site Map | Contacts